Skip to main content
POST
/
v3
/
chargers
/
{charger}
/
firmware
/
update
Update Firmware
curl --request POST \
  --url https://app.plugchoice.com/api/v3/chargers/{charger}/firmware/update \
  --header 'Authorization: Bearer <token>'
{
  "current_version": "<string>",
  "latest_version": "<string>",
  "can_update": true,
  "status": "<string>",
  "progress": 123
}
Triggers a firmware update to the latest available version for the specified charger. Returns 202 Accepted when the update is successfully requested.
charger
string
required
The UUID of the charger to update.

Response

current_version
string
The current firmware version installed on the charger.
latest_version
string
The target firmware version for the update.
can_update
boolean
Whether further updates are available (will be false after requesting an update).
status
string
The firmware update status. Will be requested after a successful trigger.
progress
integer
The firmware update progress percentage.